Bug 20496 - agr_PE: new language locale Awajún / Aguaruna (agr) for Peru
Summary: agr_PE: new language locale Awajún / Aguaruna (agr) for Peru
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: 2.26
Assignee: Mike FABIAN
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-20 17:13 UTC by Chris Leonard
Modified: 2017-07-12 07:16 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed: 2017-07-11 00:00:00
fweimer: security-


Attachments
New language locale agr_PE (2.12 KB, text/plain)
2016-08-20 17:13 UTC, Chris Leonard
Details
patch (2.54 KB, patch)
2016-08-25 16:28 UTC, Chris Leonard
Details | Diff
[PATCH] [BZ #20496] agr_PE: new language locale Awajún / Aguaruna (agr) for Peru (2.99 KB, patch)
2016-10-08 23:29 UTC, Chris Leonard
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Leonard 2016-08-20 17:13:23 UTC
Created attachment 9463 [details]
New language locale agr_PE
Comment 1 Mike Frysinger 2016-08-22 18:37:07 UTC
new locales should be posted to the mailing list for review
Comment 2 Chris Leonard 2016-08-25 15:18:45 UTC
(In reply to Mike Frysinger from comment #1)
> new locales should be posted to the mailing list for review

Posted to list, missed that this also requires a tweak to glibc/locale/iso-639.def to include agr

Do you want the whole patch regenerated including that tweak (and a ChangeLog entry?

cjl
Comment 3 Chris Leonard 2016-08-25 16:28:17 UTC
Created attachment 9473 [details]
patch
Comment 4 Chris Leonard 2016-10-08 23:29:16 UTC
Created attachment 9555 [details]
[PATCH] [BZ #20496] agr_PE: new language locale Awajún / Aguaruna (agr) for Peru
Comment 5 Mike FABIAN 2017-07-12 06:22:30 UTC
When using “copy "es_PE"” in LC_ADDRESS, the lang_name becomes Español.
Therefore I think adding this is better:


diff --git a/localedata/locales/agr_PE b/localedata/locales/agr_PE
index 70d18d6ce7..79c827d5ce 100644
--- a/localedata/locales/agr_PE
+++ b/localedata/locales/agr_PE
@@ -38,7 +38,7 @@ contact      ""
 email        "libc-alpha@sourceware.org"
 tel          ""
 fax          ""
-language     "Awajún"
+language     "Aguaruna"
 territory    "Peru"
 revision     "1.0"
 date         "2016-08-20"
@@ -185,7 +185,25 @@ copy "es_PE"
 END LC_NAME
 
 LC_ADDRESS
-copy "es_PE"
+postal_fmt    "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
+<U0025><U0064><U0025><U004E><U0025><U0062><U0025><U004E><U0025><U0073>/
+<U0020><U0025><U0068><U0020><U0025><U0065><U0020><U0025><U0072><U0025>/
+<U004E><U0025><U007A><U0020><U0025><U0054><U0025>/
+<U004E><U0025><U0063><U0025><U004E>"
+country_name "<U0050><U0065><U0072><U00FA>"
+country_ab2   "<U0050><U0045>"
+country_ab3   "<U0050><U0045><U0052>"
+country_num   604
+% PE
+country_car    "<U0050><U0045>"
+% Awajún
+lang_name     "<U0041><U0077><U0061><U006A><U00FA><U006E>"
+% ISO-639-1 ""
+lang_ab      ""
+% ISO-639-2 ""
+lang_term    ""
+% ISO-639-3
+lang_lib    "<U0061><U0067><U0072>"
 END LC_ADDRESS
 
 LC_TELEPHONE
lines 1-40/40 (END)
Comment 6 cvs-commit@gcc.gnu.org 2017-07-12 07:12:04 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  30200427a99e5ddac9bad08599418d44d54aa9aa (commit)
       via  a058c7c83996dee686cd6039a3e7bc80d1866a99 (commit)
      from  4de0cb2e9a86c02ff853630efbae0d2ae777ff47 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=30200427a99e5ddac9bad08599418d44d54aa9aa

commit 30200427a99e5ddac9bad08599418d44d54aa9aa
Author: Chris Leonard <cjlhomeaddress@gmail.com>
Date:   Mon Aug 22 19:26:41 2016 -0400

    New locale for agr_PE.
    
    	[BZ #20496]
    	* locale/iso-639.def: Add Awaj�n / Aguaruna (agr).
    
    	[BZ #20496]
    	* SUPPORTED: Add agr_PE.
    	* locales/agr_PE: New file, Awaj�n / Aguaruna locale for Peru.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a058c7c83996dee686cd6039a3e7bc80d1866a99

commit a058c7c83996dee686cd6039a3e7bc80d1866a99
Author: Akhilesh Kumar <akhilesh.k@samsung.com>
Date:   Tue Jul 11 16:22:29 2017 +0530

    Added Samoan language locale for Samoa
    
    	[BZ #21710]
    	* locales/sm_WS: New file.
    	* SUPPORTED: Add sm_WS/UTF-8.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                 |    5 +
 locale/iso-639.def        |    1 +
 localedata/ChangeLog      |   12 +++
 localedata/SUPPORTED      |    2 +
 localedata/locales/agr_PE |  211 ++++++++++++++++++++++++++++++++++++++++++
 localedata/locales/sm_WS  |  223 +++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 454 insertions(+), 0 deletions(-)
 create mode 100644 localedata/locales/agr_PE
 create mode 100644 localedata/locales/sm_WS
Comment 7 Mike FABIAN 2017-07-12 07:13:34 UTC
FIXED.